Subject: Version 1.1 of sysklogd now released.
From: [email-masked] (G.W. Wettstein)
Date: 30 Jan 1994 13:17:32 +0200
Newsgroups: comp.os.linux.announce

Version 1.1 of sysklogd has now been released and has been uploaded to
both tsx-11.mit.edu and sunsite.unc.edu.  The filename of the package
is sysklogd1.1.tz.  It was uploaded to /pub/Linux/Incoming on sunsite
and to the /Incoming directory on tsx-11.  I have notified both
archive maintainers and the files should be migrating to their
appropriate resting places shortly.

Sysklogd is a system logging package which provides a network aware
version of syslogd.  Support for kernel logging is provided by a
companion utility called klogd which operates as a client of syslogd.
These two utilities provide a powerful set of tools for the monitoring
and maintenance of a Linux workstation, particularly in a networked
environment.

Version 1.0 of the package was released at the end of December.  If
sites are using this version I would recommend taking the time to
upgrade to version 1.1.  The release of 1.0 uncovered a number of
troublesome bugs which have been squashed (hopefully) in 1.1.  Users
should find that 1.1 is superior in performance, particularly in
kernel logging, to version 1.0.

To those individuals that are not using sysklogd I would like to make
a plug for its use.  This version of syslogd has been extensively
tested, both on our corporate Linux network and by a group of
beta-testers at other sites.  I feel confident that this version of
syslogd will address the problems that have surfaced on the newsgroups
about various versions of this utility that are floating around.

Users in a networked environment will find that syslogd supports
remote logging to a central administrative machine.  This network
support is transparent in nature using a combination of unix domain
and inet domain sockets in a paradigm similar to Berkeley line printer
support.  The only change that should be needed to support remote
logging are modifications to the syslogd configuration file.  Binaries
linked with any recently modern shared library will function with this
version of syslogd.

The kernel log daemon, klogd, has undergone major changes between
Version 1.0 and 1.1.  The major user visible change has been support
for recognization of the prioritization scheme used for kernel log
messages.  Klogd when used as a client of syslogd will now log kernel
messages based upon the assigned priority/severity of the message.
Kernel message prioritization was added somewhere in pl13.

Other features of klogd include a 'one-shot' mode for reading and
printing the contents of the kernel message buffers, 'smart' source
detection of kernel messages, logging to a local file instead of
running as a client of syslogd and the ability to define the priority
level of messages logged to the system console.

There has always been a sense of debate as to where the support for
kernel logging should be incorporated.  Some versions of syslogd
provide internal support for kernel logging.  After spending
considerable time looking at the issues involved our group feels that
the cleanest separation of services is to provide a stand-alone kernel
log facility, hence the separation of services.  Adding functionility
for kernel log source detection and message prioritization seems,
in our opinion, to clutter the syslogd sources.

Version 1.1 now has man-pages describing the Linux extensions to
syslogd as well as the klogd utility.  Please read these as well as
the README file before installing this package.  There are
installation concerns which should be understood before the binaries
are activated.

I would publically like to thank my BETA-testers as well as those
individuals who sent in bug reports, comments and suggestions.  I will
look forward to any constructive comments that others may have.  Thank
you and have a pleasant week/end.

As always,
Dr. G.W. Wettstein           Oncology Research Div. Computing Facility
Roger Maris Cancer Center    UUCP:  uunet!plains!wind!greg
Fargo, ND  58122             INTERNET: [email-masked]
Phone: 701-234-2833
----------------------------------------------------------------------
`The truest mark of a man's wisdom is his ability to listen to other
 men expound their wisdom.' -- GWW

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.